.toast {
  visibility: hidden;
  min-width: 250px;
  margin-left: -125px;
  background-color: rgba(77, 170, 121, 0.41);
  color: rgb(35, 106, 67);
  text-align: center;
  border-radius: 10px;
  padding: 8px;
  position: fixed;
  z-index: 1;
  left: 50%;
  top: 30px;
  font-size: 16px;
  white-space: nowrap;
}

.toast.show {
    visibility: visible;
    -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
    animation: fadein 0.5s, fadeout 0.5s 2.5s;
}

.dark-bg {
    --tw-bg-opacity: 1;
    background-color: #284350;
}

#qrcode {
    width: 200px;
    height: 200px;
    margin: 0 auto;
    background-color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
}

*,
:before,
:after {
    box-sizing: border-box;
    border-width: 0;
    border-style: solid;
    border-color: currentColor
}

body {
  margin: 0;
  color: #666;
  line-height: 1.5;
  font-size: 14px;
  font-weight: 400;
  font-family: Vazirmatn, sans-serif;
}
.text-\[18px\] {
  font-size: 16px;
  font-weight: 600;
}

a {
  color: inherit;
  text-decoration: inherit;
}

hr {
    height: 0;
    color: inherit;
    border-top-width: 1px
}

h1 {
  font-size: 16px;
  font-weight: 600;
}

blockquote, dl, dd, h1, h2, h3, h4, p, span {
  margin: 0;
}

img, video {
  max-width: 100%;
  height: auto;
}
img, svg, video, canvas, audio, iframe, embed, object {
  display: block;
  vertical-align: middle;
}

button, [role="button"] {
  cursor: pointer;
}
button, [type="button"], [type="reset"], [type="submit"] {
  -webkit-appearance: button;
  background-color: transparent;
  background-image: none;
}
button, select {
  text-transform: none;
}
button, input, optgroup, select, textarea {
  font-family: inherit;
  font-feature-settings: inherit;
  font-variation-settings: inherit;
  font-size: 100%;
  font-weight: inherit;
  line-height: inherit;
  color: inherit;
  margin: 0;
  padding: 0;
}

*, ::before, ::after {
  --tw-border-spacing-x: 0;
  --tw-border-spacing-y: 0;
  --tw-translate-x: 0;
  --tw-translate-y: 0;
  --tw-rotate: 0;
  --tw-skew-x: 0;
  --tw-skew-y: 0;
  --tw-scale-x: 1;
  --tw-scale-y: 1;
  --tw-scroll-snap-strictness: proximity;
  --tw-ring-offset-width: 0px;
  --tw-ring-offset-color: #fff;
  --tw-ring-color: rgb(59 130 246 / .5);
  --tw-ring-offset-shadow: 0 0 #0000;
  --tw-ring-shadow: 0 0 #0000;
  --tw-shadow: 0 0 #0000;
  --tw-shadow-colored: 0 0 #0000;
}

.hidden {
    display: none;
}
.flex {
  display: flex;
}
.relative {
  position: relative;
}
.absolute {
  position: absolute;
}
.inline-block {
  display: inline-block;
}
.inline-flex {
  display: inline-flex;
}
.leading-relaxed {
  line-height: 1.625;
}

.left-1\/2 {
  left: 50%;
}

.-bottom-3 {
  bottom: -.75rem;
}

.opacity-25 {
  opacity: .25;
}

.whitespace-nowrap {
  white-space: nowrap;
}

.bg-transparent {
  background-color: transparent;
}

.bg-white {
  --tw-bg-opacity: 1;
  background-color: rgb(255 255 255);
}

.pb-4 {
  padding-bottom: 1rem;
}
.pr-3 {
  padding-right: .75rem;
}
.pl-1 {
  padding-left: .25rem;
}
.pt-1 {
  padding-top: .25rem;
}
.pt-2 {
  padding-top: .5rem;
}
.p-1 {
  padding: .25rem;
    padding-right: 0.25rem;
    padding-left: 0.25rem;
}
.p-6 {
  padding: 1.5rem;
}

.py-\[3px\] {
  padding-top: 3px;
  padding-bottom: 3px;
}
.py-1 {
  padding-top: .25rem;
  padding-bottom: .25rem;
}
.py-2 {
  padding-top: .5rem;
  padding-bottom: .5rem;
}
.py-4 {
  padding-top: 1rem;
  padding-bottom: 1rem;
}
.py-5 {
  padding-top: 1.25rem;
  padding-bottom: 1.25rem;
}
.py-8 {
  padding-top: 2rem;
  padding-bottom: 2rem;
}

.px-1 {
  padding-left: .25rem;
  padding-right: .25rem;
}
.px-3 {
  padding-left: .75rem;
  padding-right: .75rem;
}
.px-4 {
  padding-left: 1rem;
  padding-right: 1rem;
}
.px-5 {
  padding-left: 1.25rem;
  padding-right: 1.25rem;
}

.mx-auto {
  margin-left: auto;
  margin-right: auto;
}
.max-w-\[300px\] {
  max-width: 300px;
}
.max-w-\[230px\] {
  max-width: 230px;
}
.max-w-\[450px\] {
  max-width: 450px;
}

.w-full {
  width: 100%;
}
.h-full {
  height: 100%;
}

.flex-wrap {
  flex-wrap: wrap;
}
.flex-grow {
  flex-grow: 1;
}
.flex-col {
  flex-direction: column;
}

.justify-center {
  justify-content: center;
}
.justify-between {
  justify-content: space-between;
}
.items-center {
  align-items: center;
}

.text-primary {
  --tw-text-opacity: 1;
  color: rgb(46 139 87);
}
.text-white {
  --tw-text-opacity: 1;
  color: rgb(255 255 255);
}
.bg-yellow-500 {
  --tw-bg-opacity: 1;
  background-color: rgb(234 179 8);
}

.ml-1 {
  margin-left: .25rem;
}
.mb-2 {
  margin-bottom: .5rem;
}
.mt-3 {
    margin-top: .75rem;
}
.mt-4 {
  margin-top: 1rem;
}
.mt-7 {
  margin-top: 1.75rem;
}
.mt-8 {
  margin-top: 2rem;
}
.my-4 {
  margin-top: 1rem;
  margin-bottom: 1rem;
}

.w-1\/2 {
  width: 50%;
}
.w-7 {
  width: 1.75rem;
}
.h-7 {
  height: 1.75rem;
}
.w-fit {
  width: fit-content;
}

.text-xs {
  font-size: .75rem;
  line-height: 1rem;
}
.text-sm {
  font-size: .875rem;
  line-height: 1.25rem;
}
.text-center {
  text-align: center;
}
.text-slate-900 {
  --tw-text-opacity: 1;
  color: rgb(15 23 42 );
}

.gap-2 {
  gap: .5rem;
}
.gap-4 {
  gap: 1rem;
}
.gap-5 {
  gap: 1.25rem;
}

.grid {
  display: grid;
}
.grid-cols-2 {
  grid-template-columns: repeat(2, minmax(0, 1fr));
}
.aspect-square {
  aspect-ratio: 1 / 1;
}

.-translate-x-1\/2 {
  --tw-translate-x: -50%;
  transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skew(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
}

.rounded-md {
  border-radius: .375rem;
}
.rounded-lg {
  border-radius: .5rem;
}
.rounded-full {
  border-radius: 9999px;
}

.border-2 {
  border-width: 2px;
}
.border-4 {
  border-width: 4px;
}
.border-solid {
  border-style: solid;
}
.border-transparent {
  border-color: transparent;
}
.border-\[\#f9a29f\] {
  --tw-border-opacity: 1;
  border-color: rgb(46 139 87);
}
.border-white {
  --tw-border-opacity: 1;
  border-color: rgb(255 255 255);
}
.border-primary {
  --tw-border-opacity: 1;
  border-color: rgb(46 139 87);
}
.border-black {
  --tw-border-opacity: 1;
  border-color: rgb(73 71 65);
}
.border-opacity-60 {
  --tw-border-opacity: .6;
}